# Basa

@Serializable(with = IetfLangSerializer::class )
sealed interface Basa : IetfLang (source)

#### Inheritors

CM
Companion

## Types

CM
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CM : IetfLang.Basa
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Basa

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale